Chuyển đến nội dung
Diễn đàn CADViet
pawuta

Cộng trừ nhân chia các số trong block att

Các bài được khuyến nghị

Oke, cảm ơn bạn nhiều! chúc bạn đầu tuần làm việc vui vẻ nhé!

Hề hề hề,

Bạn lưu ý thêm cái hướng dẫn sau đây trong Help của CAD:

 

The use of entity highlighting (mode 3) must be balanced with entity unhighlighting (mode 4). 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Bạn lưu ý thêm cái hướng dẫn sau đây trong Help của CAD:

 

The use of entity highlighting (mode 3) must be balanced with entity unhighlighting (mode 4). 

cái này mình không hiểu lắm, bạn có thể cho mình biết thêm về nó không

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái này mình không hiểu lắm, bạn có thể cho mình biết thêm về nó không

The use of entity highlighting (mode 3) must be balanced with entity unhighlighting (mode 4). 

Nghĩa là

Bạn thêm dòng 

(redraw (car e1) 4)

dưới dòng : (entupd en)

--> Trả về entity unhighlighting

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào bác phamthanhbinh. Bác có thể viết lại lisp trên được không ạ. Yêu cầu của e như sau: E có block att ghi cao độ cos cống thoát nước. Cần lisp cộng trừ mà vẫn thể hiện cao độ theo cos cao độ hiện trang (vd: Biến a +4.80, Biến b: +4.00). E đã chạy thử lisp trên thấy hơi rườm rà. E có góp ý : B1- chọn text cần tính, B2- +số hoặc - số (vd: +10; -10); B3: chọn text thay đổi. Và lưu kết quả cho lần tính sau. Muốn thay đỏi thì gõ lại lệnh ( cái này e chưa rõ thay đổi như nào). Cám ơn bác. 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

NHờ các anh trong diễn đàn giúp đỡ. Em làm bên thiết kế điện có sử dụng block thuộc tính cho mạch điện của mình. Em cần tính TỔNG CÁC GIÁ TRỊ THUỘC TÍNH P (CÔNG SUẤT) của nhiều block thuộc tính khi quét chọn các block thuộc tính này rồi xuất ra bảng, em có tìm thấy 1 file lisp của bác LEMAC nhưng không chạy được trên cad 2019. Mong thỉnh cầu các a giúp đỡ . file e kèm theo.

cap dien.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
5 giờ trước, đặng phụng đã nói:

NHờ các anh trong diễn đàn giúp đỡ. Em làm bên thiết kế điện có sử dụng block thuộc tính cho mạch điện của mình. Em cần tính TỔNG CÁC GIÁ TRỊ THUỘC TÍNH P (CÔNG SUẤT) của nhiều block thuộc tính khi quét chọn các block thuộc tính này rồi xuất ra bảng, em có tìm thấy 1 file lisp của bác LEMAC nhưng không chạy được trên cad 2019. Mong thỉnh cầu các a giúp đỡ . file e kèm theo.

cap dien.dwg

Bạn dùng thử cái này xem:

(defun c:te (/ ent tag lst tong)
  (setq ent  (car (nentsel "Pick tag cong suat P:")))
  (setq tag (acet-dxf 2 (entget ent)) tong 0.0)
  (princ "\nQuet chon cac block")
  (foreach ent (acet-ss-to-list (ssget (list (cons 0 "INSERT"))))
    (if (setq lst (assoc  tag (acet-insert-attrib-get ent)))
	  (setq tong (+ tong (distof (cadr lst) ))))
    )
(alert (rtos tong 2 2))
)

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trước tiên cảm ơn anh Doan nguyen Van đã giúp đỡ chúc anh nhiều sức khõe. Nhưng sao chạy lisp trên gstarcad 2019 báo lỗi này bác ạ. Trên cad 2007 thì ok bác có thể chỉnh giúp e chạy trên gstarcad 2019 đc ko ạ.

Command:  TE Pick tag cong suat P:
Error:no function definition: ACET-DXF

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
47 phút trước, đặng phụng đã nói:

Trước tiên cảm ơn anh Doan nguyen Van đã giúp đỡ chúc anh nhiều sức khõe. Nhưng sao chạy lisp trên gstarcad 2019 báo lỗi này bác ạ. Trên cad 2007 thì ok bác có thể chỉnh giúp e chạy trên gstarcad 2019 đc ko ạ.

Command:  TE Pick tag cong suat P:
Error:no function definition: ACET-DXF

pótay rồi !

Một số hàm VL* không tồn tại trong GstarCAD.

Phải dùng hàm thuần AutoLISP.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
12 giờ trước, đặng phụng đã nói:

Trước tiên cảm ơn anh Doan nguyen Van đã giúp đỡ chúc anh nhiều sức khõe. Nhưng sao chạy lisp trên gstarcad 2019 báo lỗi này bác ạ. Trên cad 2007 thì ok bác có thể chỉnh giúp e chạy trên gstarcad 2019 đc ko ạ.

Command:  TE Pick tag cong suat P:
Error:no function definition: ACET-DXF

Mình không dùng cad đó, bạn test lại hàm này xem, nếu cũng không được nốt thì mình thua

(defun c:te (/ ent tag lst tong ss)
  (setq ent  (car (nentsel "Pick tag cong suat P:")))
  (setq tag (cdr (assoc 2 (entget ent))) tong 0.0)
  (princ "\nQuet chon cac block")
  (setq ss (ssget (list (cons 0 "INSERT"))))
  (while (setq ent (ssname ss 0))
    (setq ss (ssdel ent ss))
    (if (setq lst (assoc  tag (mapcar '(lambda (att) (cons (vla-get-tagstring att) (vla-get-textstring att)))
	    (vlax-invoke (vlax-ename->vla-object ent) 'getattributes)
	    ))) 
	  (setq tong (+ tong (distof (cdr lst) ))))
    )
(alert (rtos tong 2 2))
)

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lên nhờ các bác giúp miết thì cũng ngại thật, nhưng giờ chả biết cậy vào ai, e có vấn đề này xin bác nào có thể giúp e. e hay dùng block attribute chứa các giá trị thuộc tính, "e muốn tính trị trung bình cộng 1 thuộc tính nào đó trong block att (pick chọn thuộc tính đó) rồi viết ra màn hình cad". ví dụ như bản vẽ đính kèm. Mong bác nào có lisp sẵn hay nhín ít thời gian quý báu giúp e với ạ.new block.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 5/11/2021 tại 19:46, đặng phụng đã nói:

Lên nhờ các bác giúp miết thì cũng ngại thật, nhưng giờ chả biết cậy vào ai, e có vấn đề này xin bác nào có thể giúp e. e hay dùng block attribute chứa các giá trị thuộc tính, "e muốn tính trị trung bình cộng 1 thuộc tính nào đó trong block att (pick chọn thuộc tính đó) rồi viết ra màn hình cad". ví dụ như bản vẽ đính kèm. Mong bác nào có lisp sẵn hay nhín ít thời gian quý báu giúp e với ạ.new block.dwg

Của bạn đây, lệnh TBC nhé !

TBC.lsp

  • Like 1
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 5/11/2021 tại 19:46, đặng phụng đã nói:

Lên nhờ các bác giúp miết thì cũng ngại thật, nhưng giờ chả biết cậy vào ai, e có vấn đề này xin bác nào có thể giúp e. e hay dùng block attribute chứa các giá trị thuộc tính, "e muốn tính trị trung bình cộng 1 thuộc tính nào đó trong block att (pick chọn thuộc tính đó) rồi viết ra màn hình cad". ví dụ như bản vẽ đính kèm. Mong bác nào có lisp sẵn hay nhín ít thời gian quý báu giúp e với ạ.new block.dwg

Phần giá trị trung bình cộng là field cần viết ra màn hình cad là ra text hay chỉ cần hiện bảng thông báo giá trị vậy chủ thớt ? 

 

Nếu ra text thì đã có lisp TBC rồi đó thôi. Cần chi tiết hơn ntn thì chủ thớt nói rõ hơn thì mọi người mới giúp được.

 

^_^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

×